package com.fxy.base.fragment.event;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 项目名称：FingerShipWork
 * 类描述：获取服务器返回的图片地址
 * 创建人：admin
 * 创建时间：2018/1/4 18:06
 * 修改人：COMP-021-2006
 * 修改时间：2018/1/4 18:06
 * 修改备注：
 */

public class UploadEvent implements Parcelable {
    /**
     * 上传服务器返回的URL(逗号分隔)
     */
    public String urls ="";

    public UploadEvent(String photoUrls) {
        this.urls = photoUrls;
    }

    @Override
    public String toString() {
        return "UploadEvent{" +
                "urls='" + urls + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.urls);
    }

    public UploadEvent() {
    }

    protected UploadEvent(Parcel in) {
        this.urls = in.readString();
    }

    public static final Creator<UploadEvent> CREATOR = new Creator<UploadEvent>() {
        @Override
        public UploadEvent createFromParcel(Parcel source) {
            return new UploadEvent(source);
        }

        @Override
        public UploadEvent[] newArray(int size) {
            return new UploadEvent[size];
        }
    };
}
